Page MenuHomePhabricator

[Task] rework "term box" and header for Lexeme
Closed, ResolvedPublic

Description

The term box and header doesn't make sense for items. We need to rework it to be more useful for Lexeme. Some ideas from our discussion:

  • "verb in English" (ie. labels of "lexical category" and "lexeme language" items) etc should be where the description is in the item header. We need to make that editable there unlike in items.
  • The "term box" should be containing lemma(s). It should for now only allow one line but potentially more in the future.
    • the "term box" should only contain two columns: "language" and "lemma" (note: not "label" as seen in the draft mock up below)
    • the "main" lemma of lexeme should be also displayed as a "title" of the entity (ie. where label is displayed for items and properties); the change of lemma in the "term box" should be also reflected in the change of the "title" lemma.

Initial mock up draft by @Jan_Dittrich:

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
OpenNone
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
Resolved Addshore
Resolved Addshore
Resolved Addshore
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
Resolved Aleksey_WMDE

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2017, 3:49 PM
Lydia_Pintscher raised the priority of this task from Low to High.Feb 19 2017, 1:44 PM
WMDE-leszek updated the task description. (Show Details)Feb 28 2017, 4:23 PM
WMDE-leszek renamed this task from [Task] rework term box and header for Lexeme to [Task] rework "term box" and header for Lexeme.Feb 28 2017, 4:36 PM
WMDE-leszek moved this task from Proposed to Backlog on the Wikidata-Former-Sprint-Board board.

@Lydia_Pintscher This ticket includes the mockup you asked for. We would need to check how many words (lexemes) have multiple spellings (in which case we need the table)

…we possibly could also have a "add different spelling" button in every Lexeme, but only show the table if we actually have different spellings.

I just discussed it with Daniel and he says he also isn't sure how often it'll happen. However if we have multiple spellings it is usually cases where it matters for political reasons. It should be extremely rare to have more than 2. We might even get rid of the table completely and do it all in the heading. Here are quick drawings from the discussion:

View:

Edit:

I tried to

  • get rid of the term box table (which duplicates things)
  • Make it look tidy when only one spelling is there
  • Make space for a natural "lable" for languages (instead of only the ISO-code)

So the design for showing different forms would be:

Example for several

Example for just one

The comma would be added by the program.

Editing would be probably be edit mode -> all go editable -> edit -> save OR edit -> click the one to edit -> single one goes editable-> edit -> click save

Based on last meeting: we go with the proposed mockup. We still need the mockup for the editing mode.

Mockup for editing mode:

Some issues:

  • We want to show that all ways-of-writing are in edit mode (outer box) and also that there are different items in there (some seperator needed, here: a blue line)
  • save and cancel would be better aside of each other, but I was concerned that this takes too much space.

Change 356403 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] [WIP] Lemma list using VueJS

https://gerrit.wikimedia.org/r/356403

Change 357384 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] [WIP] Add tests for LemmaWidget.

https://gerrit.wikimedia.org/r/357384

Change 356403 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Lemma list using VueJS

https://gerrit.wikimedia.org/r/356403

Change 356403 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Lemma list using VueJS

https://gerrit.wikimedia.org/r/356403

Change 357384 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add tests for LemmaWidget.

https://gerrit.wikimedia.org/r/357384

Jonas closed this task as Resolved.Jun 20 2017, 10:55 AM